# GimpUi.Ruler.get_range

    @accepts(GimpUi.Ruler, float, float, float)
    @returns(none)
    def get_range(self, lower, upper, max_size):
        # Python wrapper for gimp_ruler_get_range()

Retrieves values indicating the range and current position of a GimpUi.Ruler. See GimpUi.Ruler.set_range.

Since 2.8

self

  a GimpUi.Ruler

lower

  location to store lower limit of the ruler, or None

upper

  location to store upper limit of the ruler, or None

max_size

  location to store the maximum size of the ruler used when calculating the space to leave for the text, or None.